\ProvidesClass{presentation}
\LoadClass[25pt]{foils}

\providecommand{\pause}{}
\providecommand{\pauselevel}[1]{}
\providecommand{\vpagecolor}[1]{}

\usepackage{graphicx, color}

\usepackage{url}
\usepackage{ifthen}

\usepackage[landscape,a4paper]{geometry}
\geometry{hscale=0.9,                       %make the slides 90% of the screen
                                            %   width
  headsep=.2in,                             %make the size below the header 
                                            %   larger
  footskip=.2in}                            %make the footer area smaller


% Logos
\rightfooter{\textsc{D. Monniaux} --- \thetitle\quad\thepage}

\MyLogo{}%\includegraphics[bb=78.8252 379.5313 448.0771 554.3125,height=7mm]{Logo_CNRS_quadri.eps}\includegraphics[height=7mm]{3-ENS_Fronton-contours.eps}}

%% Couleurs
\definecolor{MyWhite}{rgb}{1,1,1}
\definecolor{LightBlue}{rgb}{0.8,0.84,1.0}
\definecolor{DarkBlue}{rgb}{0.2,0.2,0.5}
\definecolor{DarkRed}{rgb}{0.5,0.2,0.2}
\definecolor{DarkGreen}{rgb}{0.1,0.3,0.1}
\definecolor{violet}{rgb}{0.6,0,0.6}
\definecolor{brown}{rgb}{0.6,0.3,0.1}

%% Commandes de style
\newcommand{\stress}[1]{\textcolor{red}{#1}}
\newcommand{\defstress}[1]{\textcolor{red}{\emph{#1}}}
\newcommand{\warning}[1]{\textcolor{violet}{#1}}
\newcommand{\question}[1]{\textcolor{brown}{\emph{#1}}}
\newcommand{\remark}[1]{\textcolor{brown}{\emph{#1}}}
\newcommand{\mcite}[1]{\textcolor{DarkBlue}{[#1]}}

\newcommand{\heading}[1]{\textcolor{DarkBlue}{\underline{#1}}}
\newcommand{\subheading}[1]{\textcolor{DarkBlue}{#1}}

%% Commandes de sectionnement
\newcommand{\intercalaire}[2]{\clearpage%
\vspace*{5cm}
\begin{center}
\fontfamily{pag}\fontsize{48pt}{52pt}\selectfont
\color{DarkBlue}
#1\pdfbookmark[1]{#1}{section.\thepage}%
\end{center}}

\newcommand{\pfoilhead}[2][]{%
\foilhead{\Large\fontfamily{pag}\selectfont\color{DarkBlue} #2}%
\ifthenelse{\equal{#1}{}}{%
\pdfbookmark[2]{#2}{foil.\thepage}}{
\pdfbookmark[2]{#1}{foil.\thepage}}}

\renewcommand{\maketitle}{%
\thispagestyle{empty}%
%
\begin{center}
\LARGE\fontfamily{pag}\selectfont\bfseries\color{red}
\thetitle
\end{center}
\vspace{4cm}

\begin{center}
{\color{DarkGreen}\large\bfseries David Monniaux}\\
{\small\url{http://www.di.ens.fr/~monniaux}}\\
{\itshape Centre National de la Recherche Scientifique}

\noindent%
\'Ecole Normale Sup\'erieure\\
\small D\'epartement d'Informatique\\
\small 45, rue d'Ulm\\
\small 75230 Paris cedex 5
\end{center}}

\renewcommand{\title}[1]{\newcommand{\thetitle}{#1}}

\newenvironment{mylist}{
  \begin{list}
    {{\color{violet}$\bullet$}}
    {\setlength{\leftmargin}{2.25cm}
      \setlength{\itemsep}{-5mm}\vspace{-3mm} }}{
  \end{list}}

\setlength{\parindent}{0mm}
